<?php
// config.php
// تنظیمات اصلی ربات و دیتابیس
// تنظیم منطقه زمانی روی ایران
date_default_timezone_set('Asia/Tehran');

define('API_KEY', '8566866971:AAHCWNH76NhrEbAt42OURsvGd9bW11sdfxI'); // توکن ربات
// --- لیست مدیران فایل کانفیگ (قابلیت افزودن بی‌نهایت مدیر) ---
// نکته: اولین آیدی در این لیست، مدیر اصلی (Owner) محسوب می‌شود
$admins_list = [
    744590288, // مدیر اول
    // آیدی‌های بعدی را اینجا اضافه کنید و با ویرگول جدا کنید. مثال:
    
    //7070307515
];
define('CONFIG_ADMINS', $admins_list); // لیست کامل مدیران کانفیگ
define('ADMIN_ID', $admins_list[0]); // شناسه مدیر اصلی (برای سازگاری با کدهای قبلی)

define('BOT_USERNAME', 'botbirin_bot'); // بدون @

// تنظیمات دیتابیس
define('DB_HOST', 'localhost');
define('DB_USER', 'tutaplu2_birin-bot');
define('DB_PASS', '5A)k+EI@u3WWw*.v');
define('DB_NAME', 'tutaplu2_birin-bot');

// تنظیمات زرین‌پال
define('ZARINPAL_MERCHANT_ID', '15b5b6df-5283-4327-99ad-4b773a015a7d');
define('ZARINPAL_SANDBOX', false); // برای تست true برای اصلی false

// آدرس دقیق پوشه پروژه در هاست (برای وب‌هوک و کال‌بک پرداخت)
// مثال: https://example.com/bot/
define('BASE_URL', 'https://tutaplus.ir/telegram/birin-bot/');

// مسیر ذخیره فایل‌ها
define('UPLOAD_DIR', __DIR__ . '/uploads/');
if (!is_dir(UPLOAD_DIR)) mkdir(UPLOAD_DIR, 0777, true);
?>
